<?php

/**
 * Template for displaying search forms in rooten
 * @package rooten
 * @since 1.0.0
 * @version 1.0.0
 * @link https://developer.wordpress.org/reference/functions/get_search_form/
 */

$rooten_unique_id = esc_attr(uniqid('search-form-')); ?>

<form action="<?php echo esc_url(home_url('/')); ?>" method="get" role="search" class="bdt-search bdt-search-default bdt-width-1-1">
    <span data-bdt-search-icon></span>
    <input id="<?php echo esc_attr($rooten_unique_id); ?>" name="s" placeholder="<?php esc_attr_e('Search...', 'rooten'); ?>" type="search" class="bdt-search-input">
</form>