<?php

/**
 * Template Name: Homepage
 * The template for displaying homepage
 * @package rooten
 * @since 1.0.0
 * @version 1.0.0
 * @link https://developer.wordpress.org/themes/template-files-section/page-template-files/
 */

get_header();

$rooten_bg_style         = get_theme_mod('rooten_body_bg_style');
//$mainbody_width = get_theme_mod( 'rooten_body_width');
$rooten_text             = get_theme_mod('rooten_body_txt_style');
$rooten_id 			  = 'tm-main';
$rooten_class            = ['bdt-section', 'bdt-padding-remove-vertical'];
$rooten_class[]          = ($rooten_bg_style) ? 'bdt-section-' . $rooten_bg_style : '';
$rooten_class[]          = ($rooten_text) ? 'bdt-' . $rooten_text : '';
?>



<div <?php rooten_helper::attrs(['id' => $rooten_id, 'class' => $rooten_class]); ?>>
	<div class="">
		<main class="tm-home">
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
					<?php the_content(); ?>
			<?php endwhile;
			endif; ?>
		</main> <!-- end main -->

	</div> <!-- end container -->
</div> <!-- end tm main -->

<?php get_footer(); ?>